package co.yixiang.yshop.module.member.convert.userlevelgrowthvalueconfig;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.member.controller.admin.userlevelgrowthvalueconfig.vo.*;
import co.yixiang.yshop.module.member.dal.dataobject.userlevelgrowthvalueconfig.UserLevelGrowthValueConfigDO;

/**
 * 会员成长任务配置 Convert
 *
 * @author admin
 */
@Mapper
public interface UserLevelGrowthValueConfigConvert {

    UserLevelGrowthValueConfigConvert INSTANCE = Mappers.getMapper(UserLevelGrowthValueConfigConvert.class);

    UserLevelGrowthValueConfigDO convert(UserLevelGrowthValueConfigCreateReqVO bean);

    UserLevelGrowthValueConfigDO convert(UserLevelGrowthValueConfigUpdateReqVO bean);

    UserLevelGrowthValueConfigRespVO convert(UserLevelGrowthValueConfigDO bean);

    List<UserLevelGrowthValueConfigRespVO> convertList(List<UserLevelGrowthValueConfigDO> list);

    PageResult<UserLevelGrowthValueConfigRespVO> convertPage(PageResult<UserLevelGrowthValueConfigDO> page);

    List<UserLevelGrowthValueConfigExcelVO> convertList02(List<UserLevelGrowthValueConfigDO> list);

}
